/*

  5V Relay Module 4 Channel

  Parts required:
  - Arduino Board
  - 5V Relay Module 4 Channel

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 22 Jan 2020
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

// Initialize all variables
int relayPin1 = 0;                  // digital Pin 0
int relayPin2 = 1;                  // digital pin 1
int relayPin3 = 2;                  // digital Pin 2
int relayPin4 = 3;                  // digital pin 3
int delayTimer = 500;               // set delayTimer to delay(500)

void setup() {
  pinMode(relayPin1, OUTPUT);       // set relayPin1 as OUTPUT
  pinMode(relayPin2, OUTPUT);       // set relayPin2 as OUTPUT
  pinMode(relayPin3, OUTPUT);       // set relayPin4 as OUTPUT
  pinMode(relayPin4, OUTPUT);       // set relayPin4 as OUTPUT
}

void loop() {
  digitalWrite(relayPin1, HIGH);    // set relayPin1 to HIGH
  delay(delayTimer);                // wait for delayTimer(x)
  
  digitalWrite(relayPin1, LOW);     // set relayPin1 to HIGH
  delay(delayTimer);                // wait for delayTimer(x)
  
  digitalWrite(relayPin2, HIGH);    // set relayPin2 to LOW
  delay(delayTimer);                // wait for delayTimer(x)
  
  digitalWrite(relayPin2, LOW);     // set relayPin2 to LOW
  delay(delayTimer);                // wait for delayTimer(x)

  digitalWrite(relayPin3, HIGH);    // set relayPin3 to HIGH
  delay(delayTimer);                // wait for delayTimer(x)
  
  digitalWrite(relayPin3, LOW);     // set relayPin3 to HIGH
  delay(delayTimer);                // wait for delayTimer(x)
  
  digitalWrite(relayPin4, HIGH);    // set relayPin4 to LOW
  delay(delayTimer);                // wait for delayTimer(x)
  
  digitalWrite(relayPin4, LOW);     // set relayPin4 to LOW
  delay(delayTimer);                // wait for delayTimer(x)
  
}
